Summary:	Untrusted/encrypted backup using rsync algorithm
Summary(pl.UTF-8):	Wykonywanie szyfrowanych kopii zapasowych przy użyciu algorytmu rsync
Name:		duplicity
Version:	2.1.1
Release:	3
License:	GPL v2
Group:		Applications/Archiving
Source0:	https://gitlab.com/duplicity/duplicity/-/archive/rel.%{version}/%{name}-rel.%{version}.tar.bz2
# Source0-md5:	7064f8a6b176a8d095406509ddf5451a
URL:		http://www.nongnu.org/duplicity/
BuildRequires:	librsync-devel >= 0.9.6
BuildRequires:	python3-devel
BuildRequires:	python3-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
Requires:	gnupg
Requires:	python3
Requires:	python3-lockfile
Requires:	python3-modules
Requires:	python3-pexpect >= 2.1
Suggests:	lftp
Suggests:	ncftp
Suggests:	python3-boto >= 0.9d
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Duplicity incrementally backs up files and directory by encrypting
tar-format volumes with GnuPG and uploading them to a remote (or
local) file server. In theory many remote backends are possible; right
now only the local or ssh/scp backend is written. Because duplicity
uses librsync, the incremental archives are space efficient and only
record the parts of files that have changed since the last backup.
Currently duplicity supports deleted files, full Unix permissions,
directories, symbolic links, fifos, etc., but not hard links.

%description -l pl.UTF-8
Duplicity wykonuje przyrostowe kopie zapasowe plików i katalogów
poprzez szyfrowanie archiwów w formacie tar przy pomocy GnuPG i
przesyłanie ich na zdalny (lub lokalny) serwer plików. W teorii można
użyć wiele zdalnych backendów; aktualnie napisane są tylko backendy
lokalny oraz ssh/scp. Ponieważ duplicity używa librsync, przyrostowe
archiwa wydajnie wykorzystują miejsce dzięki zapisywaniu tylko tych
części plików, które zmieniły się od wykonywania poprzedniej kopii.
Aktualnie duplicity obsługuje pliki skasowane, pełny uniksowy system
uprawnień, katalogi, dowiązania symboliczne, nazwane potoki itp. - ale
nie twarde dowiązania.

%prep
%setup -q -n %{name}-rel.%{version}

%{__sed} -E -i -e '1s,#!\s*/usr/bin/env\s+python3(\s|$),#!%{__python3}\1,' \
      bin/duplicity

%{__rm} po/{en_PR,es_EM,es_US,nl_SR,ru_BY,ru_MD,ru_UA,zh_MO,zh_SG}.po

cd po
for f in *.po ; do
	case $(basename $f .po) in
	de_AT|en_AU|en_GB|es_MX|es_PR|nl_BE|pt_BR|zh_CN|zh_HK|zh_TW) continue
	;;
	*) %{__mv} $f ${f%%_*}.po
	;;
	esac
done

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc CHANGELOG.md README*.md
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*.1*
%dir %{py3_sitedir}/duplicity
%dir %{py3_sitedir}/duplicity/backends
%dir %{py3_sitedir}/duplicity/backends/pyrax_identity
%{py3_sitedir}/duplicity/__pycache__
%{py3_sitedir}/duplicity/*.py
%{py3_sitedir}/duplicity/backends/__pycache__
%{py3_sitedir}/duplicity/backends/*.py
%{py3_sitedir}/duplicity/backends/pyrax_identity/__pycache__
%{py3_sitedir}/duplicity/backends/pyrax_identity/*.py
%attr(755,root,root) %{py3_sitedir}/duplicity/*.so
%{py3_sitedir}/duplicity-*.egg-info
%changelog
* Mon Mar 10 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/duplicity.git;a=log;h=master

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 12a31d0
- python 3.13 rebuild

* Thu Sep 21 2023 Jan Rękorajski <baggins@pld-linux.org> b748bce
- fix/remove bogus locales, rel 2

* Thu Sep 21 2023 Jan Rękorajski <baggins@pld-linux.org> 2de1af2
- up to 2.1.1

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> eca0423
- rebuild with separate debuginfo build-ids

* Thu Mar 04 2021 Jan Rękorajski <baggins@pld-linux.org> cb68b1e
- rediff patches
- fix shebangs
- rel 2

* Fri Oct 19 2018 Adam Gołębiowski <adamg@pld-linux.org> dc077a7
- updated to 0.18.2

* Wed Apr 18 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 3ec1455
- up to 0.7.17

* Sun Jan 15 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 030a7a2
- Update to 0.7.11

* Mon Sep 19 2016 Jacek Konieczny <jajcus@jajcus.net> 07ee0e7
- remove obsolete dependency

* Sun Sep 18 2016 Jacek Konieczny <jajcus@jajcus.net> b689832
- Version: 0.7.10

* Tue May 10 2016 Patryk Szczygłowski <patryk@patryk.net> 18903ec
- up to version 0.7.07.1

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 09711e7
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 4a94b72
- automatic change: use py_build/py_install macros

* Mon Jul 20 2015 Patryk Szczygłowski <patryk@patryk.net> 7000500
- upgrade to 0.6.26, add missing req

* Sun Nov 16 2014 Jan Rękorajski <baggins@pld-linux.org> 9eb12f3
- fix install

* Sun Nov 09 2014 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> f29f199
- Updated to 0.6.24

* Fri Jun 22 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 028ae54
- updated to 0.6.19

* Mon Oct 31 2011 Jarosław Kruk <jareq@pld-linux.org> 0ae6c90
- updated to 0.6.16

* Sun Apr 24 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 2a3d997
- updated to 0.6.13

* Mon Sep 27 2010 qwiat <qwiat@pld-linux.org> 616b962
- updated to 0.6.10

